package com.ruoyi.zhushi.service;

import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.zhushi.entity.DkCheckInRecordDTO;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface DkRecordService {

    TableDataInfo<DkCheckInRecordDTO> queryPageList(DkCheckInRecordDTO dkCheckInRecordDTO, PageQuery pageQuery);


    void exportNew(DkCheckInRecordDTO dkCheckInRecordDTO, HttpServletResponse response);

    int updateDkRecord(DkCheckInRecordDTO dkCheckInRecordDTO);

}
